{...}: {
  services.desktopManager.cosmic.enable = true;
  services.displayManager.cosmic-greeter.enable = true;
  # fix for shutdown, not yet in 25.05
  # https://github.com/NixOS/nixpkgs/pull/412260/commits/27c3430d620adfed574674e36a89a52be80f01d9
  services.geoclue2.enable = true;
  services.geoclue2.enableDemoAgent = false;
}
